var PageSize = 15;
var CurrentPage = 1;
$(document).ready(function(){
    $('#loadingContainer').ajaxStart(function()
    {
	    $(this).show();
	    $('#loadingbackground').show().css({"opacity": "0.5"});
	}).ajaxStop(function()
	{
	    $(this).hide();
	});    
    setInterval(function(){
        $('div.sub_container_page').css('top',$(window.parent.frames.right).height()-$('div.sub_container_page').height()-2); //设置底部分页区域的位置
    },100);

    var search_urldata = 'type=ajax&action=SearchSuit&PageSize='+PageSize+'&Page='+CurrentPage;
    BindSuits('Suit.aspx',search_urldata);//绑定数据        
    
    //--添加活动
    $('#btnAdd').click(function(){
        location.href="SuitAdd.aspx";
    });
    
    //全选
    $('input[@name=chkAll]').click(function(){
        $('input[@name=chkItem]').attr('checked',$(this).attr('checked'));
    });
    
    //批量删除规则
    $('#btnDelete').click(function(){
        var sids = '';
        $('input[@name=chkItem][@checked]').each(function(){
            sids += $(this).val() + ',';
        });
        if(sids != ''){
            sids = sids.substring(0,sids.length-1);
            if(confirm('确定要删除选中的套装吗?删除将不可恢复'))
            {
                $.get('Suit.aspx?type=ajax&action=DeleteSuit&sids=' + sids,function(data){
                    if(data==0){
		                window.location.reload();
		            }else{
		                alert("删除失败")
		            }
		        });
            }
        }else{
            alert('请选择要删除的套装');
        }
    });
});//end ready()

function setList()
{
	var pageWidth=document.documentElement.clientWidth-9;
	$(".sub_container_content").css("width",pageWidth);
	$(".sub_container_listhead").css("width",pageWidth);
	$(".llist").css("width",pageWidth);
	var c1_width = pageWidth*0.04+"px";
	var c2_width = pageWidth*0.18+"px";
//	var c3_width = pageWidth*0.05+"px";
	var c4_width = pageWidth*0.10+"px";
	var c5_width = pageWidth*0.10+"px";
	var c6_width = pageWidth*0.30+"px";
	var c7_width = pageWidth*0.06+"px";
	var c8_width = pageWidth*0.06+"px";
	
	var cc1_width = pageWidth*0.05+"px";
	var cc2_width = pageWidth*0.10+"px";
	var cc3_width = pageWidth*0.10+"px";
	var cc4_width = pageWidth*0.30+"px";
	var cc5_width = pageWidth*0.45+"px";
	
	$('.c1').css("width",c1_width);
	$('.c2').css("width",c2_width);
//	$('.c3').css("width",c3_width);
	$('.c4').css("width",c4_width);
	$('.c5').css("width",c5_width);
	$('.c6').css("width",c6_width);
	$('.c7').css("width",c7_width);
	$('.c8').css("width",c8_width);
	
	
}

//绑定数据
function BindSuits(weburl,urldata){
    $('#template').hide();//将第一行模板隐藏
    $.ajax({
        type:"get",
        dataType:"json",
        url:weburl+'?NoCopyRight=1',
        data:urldata,
        cache:false,
        success:function(msg)
        {
            $('input[@name=chkAll]').attr('checked','');
            $('tr:gt(0)','#datas').remove();
            var data = msg.Suit;
            $.each(data,function(i,n){
                var row = $('#template').clone();
                row.find('#checkbox').html('<input type="checkbox" name="chkItem" value="' + n.SuitID + '" />');//checkbox
                row.find('#RuleName').text(n.SuitName); //名称                
                row.find('#TimeBegin').text(n.BeginTime); 
                row.find('#TimeEnd').text(n.EndTime);
                row.find('#Remark').text(n.Remark);
//                row.find('#Status').html(n.Status == '1' ? '<font color=green>审核通过</font>' : '<font color=red>等待审核</font>');//状态
                row.find('#Modify').html('<a href="SuitAdd.aspx?suitid=' + n.SuitID + '">修改</a>')
                row.find('#Delete').html('<a href="#">删除</a>')
                   .find('a').click(function()
                   {
                        if(confirm('确定要删除该套装吗?删除将不可恢复'))
                        {
                            $.get('Suit.aspx?type=ajax&action=DeleteSuit&sids=' + n.SuitID);
							$(this).parent().parent().remove();
                        }
                        return false;
                   });
                
				row.attr("id","ready_" + n.SuitID);//改变绑定好数据的行的id
				row.show().mouseover(function(){$(this).css("cursor","pointer");}); //将复制的行显示出来并添加样式
				row.appendTo("#datas");//添加到模板的容器中
            });
            
            //分页
            $('.sub_container_page').show();
            var pagerStyle = "flickr";//jPagerBar样式
            ShowPageBar("pageDataList1_Pager",//[containerId]
               "Binding.aspx",//[url]
               {style:pagerStyle,mark:"pageDataList1Mark",
               totalCount:msg.totalCount,showPageNumber:3,pageCount:PageSize,currentPageIndex:CurrentPage,noRecordTip:" 没有记录",preWord:"上一页",nextWord:"下一页",
               onclick:"CurrentPage={pageindex};BindSuits('Suit.aspx','type=ajax&action=SearchSuit&PageSize=" + PageSize + "&Page={pageindex}');return false;"}
            );
        },
        error:function(XMLHttpRequest,textStatus){if(textStatus=='parsererror'){alert('身份已过期,请重新登陆!')}else{alert('error')};}
    });
}